# Created by pyp2rpm-3.3.10
%global pypi_name libdecsync
%global pypi_version 2.2.1

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        Python3 bindings for libdecsync

License:        LGPLv2+
URL:            https://github.com/39aldo39/libdecsync-bindings-python3
Source0:        %{pypi_source}

ExclusiveArch:	x86_64 arm aarch64

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%global debug_package %{nil}

%description
libdecsync-bindings-python3 libdecsync-bindings-python3 is a Python3 wrapper
around [libdecsync]( for synchronizing using [DecSync]( See the [source
code](libdecsync/__init__.py) for documentation on how to use it.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
libdecsync-bindings-python3 libdecsync-bindings-python3 is a Python3 wrapper
around [libdecsync]( for synchronizing using [DecSync]( See the [source
code](libdecsync/__init__.py) for documentation on how to use it.


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%ifarch x86_64
%define libs '*amd64*'
%elifarch arm
%define libs '*arm32*'
%elifarch aarch64
%define libs '*arm64*'
%endif
find %{pypi_name}/libs/ -type f ! -name %{libs} -delete

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE.txt
%doc README.md
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Thu Nov 07 2024 Igor Zavorotkin <ivzave@gmail.com> - 2.2.1-1
- Initial package.
